Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class DefinitionsUpdateVerbHandler

    java.lang.Object
      org.apache.cassandra.db.DefinitionsUpdateVerbHandler

All Implemented Interfaces:
  IVerbHandler

    public class DefinitionsUpdateVerbHandler

extends java.lang.Object
implements IVerbHandler

Called when node receives updated schema state from the schema migration coordinator node. Such happens when user makes local schema migration on one of the nodes in the ring (which is going to act as coordinator) and that node sends (pushes) it's updated schema state (in form of row mutations) to all the alive nodes in the cluster.

Constructor Summary
`DefinitionsUpdateVerbHandler()`

Method Summary
`void` | `doVerb(Message message, java.lang.String id)` This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefinitionsUpdateVerbHandler

    public DefinitionsUpdateVerbHandler()

Method Detail

### doVerb

    public void doVerb(Message message,
                       java.lang.String id)

  Description copied from interface: `IVerbHandler`
  This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers). Note that the caller should not be holding any locks when calling this method because the implementation may be synchronized.

  Specified by:
    `doVerb` in interface `IVerbHandler`
  Parameters:
    `message` - - incoming message that needs handling.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation